## noris-nagios-snmpplugins 6.0-15

=== Makefile ===
build:
	[ -d usr/lib/nagios/plugins ] || mkdir usr/lib/nagios/plugins
	tar xzf nagios-snmp-plugins.1.1.1.tgz
	cd nagios_plugins;for i in *.pl;do sed -e 's#/usr/local/nagios/libexec#/usr/lib/nagios/plugins#g' $$i > ../usr/lib/nagios/plugins/$$i;done;cd ..
	cp -f check_snmp_env.pl usr/lib/nagios/plugins/
	chmod 755 usr/lib/nagios/plugins/*.pl

install: build
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -f *-stamp
	rm -rf nagios_plugins

=== debian/changelog ===
noris-nagios-snmpplugins (6.0-15) squeeze; urgency=low

  * Fixed Treshhold

 -- Alexander Krogloth <alex@noris.de>  Wed, 23 Apr 2014 12:09:57 +0200

noris-nagios-snmpplugins (6.0-14) squeeze; urgency=low

  * increased mem limit for cisco (#14491708) 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 03 Jun 2013 10:48:42 +0200

noris-nagios-snmpplugins (6.0-13) squeeze; urgency=low

  * higher mem limits for core (#13584809) 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 29 Jan 2013 10:16:39 +0100

noris-nagios-snmpplugins (6.0-12) squeeze; urgency=low

  * added check_snmp_traps

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 29 Oct 2012 15:50:59 +0100

noris-nagios-snmpplugins (6.0-11) squeeze; urgency=low

  * complemented missing netapp plugins

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 29 Jan 2013 13:37:45 +0100

noris-nagios-snmpplugins (6.0-10) squeeze; urgency=low

  * snmp-mibs-downloader Dependency added 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 04 Jun 2012 12:15:36 +0200

noris-nagios-snmpplugins (6.0-9) squeeze; urgency=low

  * Sync with lenny version

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 01 Jun 2012 15:04:05 +0200

noris-nagios-snmpplugins (6.0-8) squeeze; urgency=low

  * Paloalto CPU check (#12227349)

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 30 Mar 2012 10:04:00 +0200

noris-nagios-snmpplugins (6.0-7) squeeze; urgency=low

  * Paloalto checks for v2c 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 27 Mar 2012 16:24:20 +0200

noris-nagios-snmpplugins (6.0-6) squeeze; urgency=low

  * altered juniper checks (#12100718) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 29 Feb 2012 13:50:46 +0100

noris-nagios-snmpplugins (6.0-5) squeeze; urgency=low

  * increases session limit (#11971186)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 03 Jan 2012 10:45:09 +0100

noris-nagios-snmpplugins (6.0-4) squeeze; urgency=low

  * Added OID alarmGeneralHighestSeverity to check_snmp_env.pl

 -- Hardy Kestin <hardy@noris.net>  Fri, 02 Dec 2011 14:20:00 +0100

noris-nagios-snmpplugins (6.0-3) squeeze; urgency=low

  * new hp cartridge check (#11594114) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 05 Oct 2011 11:51:45 +0200

noris-nagios-snmpplugins (6.0-2) squeeze; urgency=low

  * new mem check for cisco core devices (#10841844)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 08 Mar 2011 11:37:54 +0100

noris-nagios-snmpplugins (6.0-1) squeeze; urgency=low

  * First Build for squeeze

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 28 Feb 2011 14:57:14 +0100

=== debian/control ===
Source: noris-nagios-snmpplugins
Section: net
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: noris-nagios-snmpplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl-modules, nagios-plugins, libnet-snmp-perl, snmp-mibs-downloader
Replaces: nagios-snmp-plugins
Conflicts: nagios-snmp-plugins (<= 1.1.1-6), noris-nagios-miscplugins (<=5.0-26)
Description: SNMP related plugins for NetSaint and Nagios.
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios SNMP plugins is a set of Nagios plugins to check hosts/devices using snmp
 protocol.
 .
 Help files, examples and manual : http://www.manubulon.com/nagios/
 FAQ : http://www.manubulon.com/nagios/faq.html
 Mailling list, forum : https://sourceforge.net/projects/nagios-snmp/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/noris-nagios-snmpplugins.sgml > nagios-snmp-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nagios-snmp-plugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-snmpplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-snmpplugins 6.6-4

=== Makefile ===
build:
	chmod 755 usr/lib/nagios/plugins/*.pl

install: build
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-snmpplugins (6.6-4) jessie; urgency=medium

  * 21880618: Riverbed Things 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 23 Nov 2015 10:36:53 +0100

noris-nagios-snmpplugins (6.6-3) wheezy; urgency=low

  * 20118394: alles zu "transmode" in check_snmp_env.pl entfernt, Transmode-Checks nur noch in check_snmp_transmode

 -- Klaus Franken <klaus.franken@noris.de>  Mon, 28 Sep 2015 13:47:08 +0200

noris-nagios-snmpplugins (6.6-2) jessie; urgency=low

  *  21756711: ipv6 Checks for fortigates

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 24 Aug 2015 10:48:41 +0200

noris-nagios-snmpplugins (6.6-1) wheezy; urgency=low

  * neue Programmlogik fuer Transmode: nur noch Alarme lesen (und Port-Existenz prüfen)

 -- Klaus Franken <klaus.franken@noris.de>  Fri, 31 Jul 2015 14:15:00 +0200

noris-nagios-snmpplugins (6.6-0) wheezy; urgency=low
  * check_snmp_env.pl: Timeout (ueber alles) von 20 auf 70 erhoeht
  * check_snmp_env.pl bleibt wie es ist (wird um Transmode entschlackt))
  * neu und angepasst: check_snmp_transmode

 -- Klaus Franken <klaus.franken@noris.de>  Wed, 29 Jul 2015 15:39:46 +0200

noris-nagios-snmpplugins (6.5-0) jessie; urgency=low

  * #20118394: Transmode-Check: 
  *   entweder Ports mit "--cp" oder alles andere
  *   neu: "--no-check-alarm"

 -- Klaus Franken <klaus.franken@noris.de>  Mon, 27 Apr 2015 15:04:42 +0200

noris-nagios-snmpplugins (6.4-3) wheezy; urgency=low

  * #5733435: new check definition

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 16 Apr 2015 16:16:53 +0200

noris-nagios-snmpplugins (6.4-2) wheezy; urgency=low

  * #20960197: new_plugin

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 13 Apr 2015 10:48:54 +0200

noris-nagios-snmpplugins (6.4-1) wheezy; urgency=low

  * +fortigate (#20947792) 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 09 Apr 2015 13:43:55 +0200

noris-nagios-snmpplugins (6.4-0) wheezy; urgency=low

  * #20320690: check_a10_virtualserver: extended OID prefix
    to save SNMP requests and thus load on the load balancers

 -- Martin H. Sluka <fany@noris.de>  Wed, 17 Dec 2014 15:57:40 +0100

noris-nagios-snmpplugins (6.3-23) wheezy; urgency=low

  * removed netapp stuff

 -- Alexander Krogloth <alex@noris.de>  Mon, 20 Oct 2014 15:02:53 +0200

noris-nagios-snmpplugins (6.3-22) wheezy; urgency=low

  * check_a10 Hotfix (#16784488)

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 22 Sep 2014 12:30:33 +0200

noris-nagios-snmpplugins (6.3-21) wheezy; urgency=low

  * new version check_a10_rserver (#16784488)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 16 Sep 2014 13:30:50 +0200

noris-nagios-snmpplugins (6.3-20) wheezy; urgency=low

  * +juniper_v6 (#16748688)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 09 Sep 2014 17:08:53 +0200

noris-nagios-snmpplugins (6.3-19) wheezy; urgency=low

  * +check_a10_virtualserver (#16784488)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 09 Sep 2014 10:19:00 +0200

noris-nagios-snmpplugins (6.3-18) wheezy; urgency=low

  * +ipv6 checks for cisco devices (#16748688)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 02 Sep 2014 09:13:32 +0200

noris-nagios-snmpplugins (6.3-17) wheezy; urgency=low

  * new plugin check_ifcast (#16477719)

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 03 Jul 2014 11:56:30 +0200

noris-nagios-snmpplugins (6.3-16) wheezy; urgency=low

  * version++ 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 19 May 2014 14:58:44 +0200

noris-nagios-snmpplugins (6.3-15) wheezy; urgency=low

  * new mem warn limit 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 19 May 2014 14:53:12 +0200

noris-nagios-snmpplugins (6.3-14) wheezy; urgency=low

  * 15547848: new juniper checks

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 05 Mar 2014 16:57:04 +0100

noris-nagios-snmpplugins (6.3-13) wheezy; urgency=low

  * 14573040: s/</lt/

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 14 Feb 2014 14:23:27 +0100

noris-nagios-snmpplugins (6.3-12) wheezy; urgency=low

  * 15451747: case

 -- Michael Steger <m.steger@noris.de>  Mon, 20 Jan 2014 16:55:43 +0100

noris-nagios-snmpplugins (6.3-11) Wheezy; urgency=low

  * 15451747: add missing check

 -- Michael Steger <m.steger@noris.de>  Mon, 20 Jan 2014 16:40:50 +0100

noris-nagios-snmpplugins (6.3-10) wheezy; urgency=low

  * 15355948: check_auto_juniper* 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 16 Jan 2014 17:03:18 +0100

noris-nagios-snmpplugins (6.3-9) wheezy; urgency=low

  * Makefile umgebaut

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 15 Jan 2014 18:17:04 +0100

noris-nagios-snmpplugins (6.3-8) wheezy; urgency=low

  * sync noris_snmp.cfg->snmp.cfg

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 15 Jan 2014 17:44:45 +0100

noris-nagios-snmpplugins (6.3-6) wheezy; urgency=low

  * #15426895: s/</lt/

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 15 Jan 2014 16:42:53 +0100

noris-nagios-snmpplugins (6.3-5) wheezy; urgency=low

  * perl compability correction

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 14 Jan 2014 10:09:27 +0100

noris-nagios-snmpplugins (6.3-4) wheezy; urgency=low

  * syntax check_snmp_load.pl

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 14 Jan 2014 10:04:14 +0100

noris-nagios-snmpplugins (6.3-3) wheezy; urgency=low

  * +new uptime definition

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 25 Nov 2013 16:27:45 +0100

noris-nagios-snmpplugins (6.3-2) wheezy; urgency=low

  * removed netapp uptime

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 05 Jun 2013 15:51:12 +0200

noris-nagios-snmpplugins (6.3-1) wheezy; urgency=low

  * more /usr/bin/perl calls and optimized check_snmp_env.pl (#13451644)

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 05 Jun 2013 10:24:26 +0200

noris-nagios-snmpplugins (6.3-0) wheezy; urgency=low

  * merge conflicts

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 04 Jun 2013 16:12:44 +0200

noris-nagios-snmpplugins (6.2-0) wheezy; urgency=low

  * increased mem limit for cisco (#14491708)

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 03 Jun 2013 10:56:55 +0200



=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: noris-nagios-snmpplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, perl-modules, nagios-plugins, libnet-snmp-perl, snmp-mibs-downloader
+Depends: ${shlibs:Depends}, ${misc:Depends}, perl-modules, nagios-plugins, libdata-dump-perl, libnet-snmp-perl, libsocket6-perl, snmp-mibs-downloader, libsnmp-python
 Replaces: nagios-snmp-plugins
 Conflicts: nagios-snmp-plugins (<= 1.1.1-6), noris-nagios-miscplugins (<=5.0-26)
 Description: SNMP related plugins for NetSaint and Nagios.

## noris-nagios-snmpplugins 6.6-7

=== debian/changelog ===
noris-nagios-snmpplugins (6.6-7) wheezy; urgency=low

  * 26135146: Port Fehler nicht als Environment-Fehler behandeln

 -- Klaus Franken <klaus.franken@noris.de>  Fri, 09 Jun 2017 13:41:16 +0200

noris-nagios-snmpplugins (6.6-6.1) wheezy; urgency=low

  * NNIS-3370: globalen Timeout bei check_snmp_transmode erhöht

 -- Martin H. Sluka <fany@noris.de>  Fri, 13 May 2016 14:28:56 +0200

noris-nagios-snmpplugins (6.6-6) wheezy; urgency=low

  * NNIS-2625: Anpassung Transmode auf "3rd Generation Cards", fix für 2nd Gen. Cards

 -- Klaus Franken <klaus.franken@noris.de>  Mon, 14 Mar 2016 15:57:31 +0100

noris-nagios-snmpplugins (6.6-4) wheezy; urgency=low

  * NNIS-2625: Anpassung Transmode auf "3rd Generation Cards"

 -- Klaus Franken <klaus.franken@noris.de>  Fri, 11 Mar 2016 13:09:00 +0100
